# Get a run
Source: https://docs.simpleserve.ai/docs/api-reference/runs/get-runs-run_id

Method: GET /v1/runs/{run_id}
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/v1/runs/{run_id}",
  "method": "GET",
  "tags": [
    "Runs"
  ],
  "operationId": "getRun",
  "summary": "Get a run",
  "description": "Returns the latest state, output, usage, and cost for one run.",
  "parameters": [
    {
      "$ref": "#/components/parameters/RunId"
    }
  ],
  "responses": {
    "200": {
      "description": "The requested run.",
      "headers": {
        "x-request-id": {
          "$ref": "#/components/headers/RequestId"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Run"
          },
          "examples": {
            "completed": {
              "$ref": "#/components/examples/CompletedRunExample"
            }
          }
        }
      }
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "429": {
      "$ref": "#/components/responses/RateLimited"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}
```